Pathway Chat
curl --request POST \
--url https://app.luly.ai/api/v1/pathway/chat/{id} \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--header 'id: <id>' \
--data '
{
"message": "<string>"
}
'import requests
url = "https://app.luly.ai/api/v1/pathway/chat/{id}"
payload = { "message": "<string>" }
headers = {
"authorization": "<authorization>",
"id": "<id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
authorization: '<authorization>',
id: '<id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({message: '<string>'})
};
fetch('https://app.luly.ai/api/v1/pathway/chat/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"pathway_id": "9d404c1b-6a23-4426-953a-a52c392ff8f1"
}
Pathway Chat
Pathway Chat
Send a message to a pathway and receive a response.
POST
/
v1
/
pathway
/
chat
/
{id}
Pathway Chat
Headers
string
required
Your API key for authentication.
Path
string
required
Path Parameters
uuid
required
The chat ID created from the /pathway/chat/create endpoint.
Body
string
The message to send to the pathway (optional)
Response
string
Can be
success or error.uuid
The ID of the chat instance created. This will be used to send and receive messages to the pathway via the /pathway/chat endpoint.
string
The response from the Assistant to the message sent.
string
The ID of the current node in the pathway.
string
The name of the current node in the pathway.
array
An array of objects containing the role and content of each message in the chat.
string
The ID of the pathway the chat is associated with.
{
"status": "success",
"pathway_id": "9d404c1b-6a23-4426-953a-a52c392ff8f1"
}